← Toate categoriile de scule
150 instrumente de lucru

Instrumente pentru text și liste

Curățați, comparați și măsurați conținutul fără a încărca datele de lucru.

Linii de text centrate

Centrați fiecare linie într-o lățime exactă de caractere Unicode, păstrând rândurile goale și respingând trunchierea distructivă.

Deschide instrumentul →

Eliminați prefixul din cuvinte

Eliminați un fragment exact de conducere din cuvintele Unicode potrivite și lăsați punctuația, spațierea și cuvintele nepotrivite neatinse.

Deschide instrumentul →

Eliminați sufixul din cuvinte

Eliminați un final exact din cuvintele Unicode potrivite fără a aplatiza separatoarele sau a modifica cuvintele care nu poartă acel sufix.

Deschide instrumentul →

Inserarea separatorului între caractere

Plasați un separator ales între punctele de cod Unicode fără a împărți perechile surogate, cum ar fi emoji, în jumătăți nevalide.

Deschide instrumentul →

Citează fiecare linie de text

Încadrează fiecare linie în ghilimele duble, ghilimele simple sau backtick-uri, păstrând liniile goale și ordinea originală a liniilor.

Deschide instrumentul →

Elimină ghilimelele din liniile de text

Eliminați o pereche de ghilimele exterioare echilibrate din fiecare linie folosind potrivirea automată sau explicită a stilului de ghilimele.

Deschide instrumentul →

Citează fiecare cuvânt

Înconjoară fiecare token de cuvânt Unicode cu un caracter de ghilimele selectat, păstrând în același timp virgule, semne de punctuație și spațiu alb original.

Deschide instrumentul →

Eliminați citatele din cuvinte

Desfaceți cuvintele Unicode citate individual atunci când ambele ghilimele se potrivesc, fără a șterge ghilimelele nelegate de proză.

Deschide instrumentul →

Normalizează liniile goale

Limitați rândurile goale consecutive la un maxim exact, păstrând indentarea și fiecare linie nevidă.

Deschide instrumentul →

Conversia spațiilor în linii noi

Transformați fiecare jeton separat de spațiu alb într-o singură linie și restrângeți spațiile repetate, filele și întreruperile de linie existente determinist.

Deschide instrumentul →

Convertiți liniile noi într-un separator

Alăturați liniile de text ne-goale cu un separator configurabil, în timp ce tăiați doar spațiile albe exterioare ale fiecărui rând.

Deschide instrumentul →

Analizor de frecvență a cuvintelor

Clasifică cuvintele Unicode după numărul de apariții, cu lungime minimă ajustabilă, limită de rezultate și comparare sensibilă la majuscule și minuscule.

Deschide instrumentul →

Sortează literele din interiorul cuvintelor

Sortează literele și numerele Unicode din interiorul fiecărui cuvânt în mod independent, fără a muta punctuația sau cuvintele în sine.

Deschide instrumentul →

Sortarea tuturor caracterelor text

Comandați fiecare punct de cod Unicode pe întreaga intrare cu îndepărtarea opțională a spațiilor albe și direcția ascendentă sau descendentă explicită.

Deschide instrumentul →

Număr Text propoziții

Pune fiecare propoziție detectată pe propria linie numerotată cu o valoare de pornire configurabilă și trei stiluri de marcaj lizibile.

Deschide instrumentul →

Număr Paragrafe de text

Numerați paragrafele separate prin linii goale, păstrând fiecare întrerupere de linie internă și formatare ale paragrafului.

Deschide instrumentul →

Identificator de propoziții duplicate

Enumerați propozițiile complete repetate cu numărări folosind o comparare explicită sensibilă la majuscule/minuscule sau insensibilă la majuscule/minuscule.

Deschide instrumentul →

Extractor de propoziții unice

Păstrează prima apariție a fiecărei propoziții complete și elimină duplicatele ulterioare conform unei reguli de sensibilitate la majuscule/minuscule selectabile.

Deschide instrumentul →

Programe similare cu Base32 Text Encoder:

Convertește textul UTF-8 în Base32 canonic RFC 4648 sau decodifică strict o valoare Base32 cu sau fără padding.

Deschide instrumentul →

Programe similare cu Base32hex Text Encoder:

Codificați și decodificați UTF-8 cu alfabetul Base32 hexazecimal extins definit de RFC 4648, secțiunea 7.

Deschide instrumentul →

Programe similare cu Base45 Text Encoder:

Transformați textul UTF-8 cu alfabetul compact Base45 RFC 9285 utilizat de formatele de date orientate către coduri QR.

Deschide instrumentul →

Codificator și decodificator de text Bitcoin Base58

Convertește octeții UTF-8 cu alfabetul Bitcoin Base58, păstrând exact octeții zero de la început.

Deschide instrumentul →

Codificator și decodificator de text Ascii85

Codificați UTF-8 în grupuri Ascii85 de cinci caractere sau decodificați date strict compatibile cu Adobe cu delimitatori opționali și compresie z.

Deschide instrumentul →

Codificator și decodificator de text Quoted-Printable

Codifică textul în stil e-mail UTF-8 ca quoted-printable RFC 2045 sau decodifică escape-uri validate cu majuscule și întreruperi de linie normalizate de browser.

Deschide instrumentul →